Syncfusion AI Assistant

How can I help you?

Style appearance in React Timepicker component

The following CSS structure enables you to customize the TimePicker component’s appearance. Apply these styles with appropriate specificity to override default styles for your use case.

Customizing the appearance of TimePicker wrapper element

Use the following CSS to customize the appearance of wrapper element.

/* To specify height and font size */
.e-input-group input.e-input, .e-input-group.e-control-wrapper input.e-input, .e-input-group textarea.e-input, .e-input-group.e-control-wrapper textarea.e-input {
        font-size: 20px;
        height: 40px;
}

Customizing the TimePicker icon element

Use the following CSS to customize the TimePicker icon element

/* To specify background color and font size */
.e-time-wrapper .e-time-icon.e-icons, *.e-control-wrapper.e-time-wrapper .e-time-icon.e-icons {
        font-size: 20px;
        background-color: beige;
}

Customizing the TimePicker popup

Use the following CSS to customize the TimePicker popup

/* To specify height */
.e-timepicker.e-popup {
        height: 100px;
}

Customizing the TimePicker popup content

Use the following CSS to customize the TimePicker popup content

/* To specify height */
.e-timepicker.e-popup .e-list-parent.e-ul li.e-list-item {
        background-color: beige;
        font-size: 20px;
}

Full screen mode support in mobiles and tablets

The full-screen mode feature optimizes the TimePicker for mobile and tablet devices by expanding the popup to occupy the entire screen. This provides improved visibility and touch-friendliness in both landscape and portrait orientations.

To enable full-screen mode, set the fullScreenMode property to true:

// import the ripple effect
import { enableRipple } from '@syncfusion/ej2-base';
// import the timepicker
import { TimePickerComponent } from '@syncfusion/ej2-react-calendars';
import * as React from "react";
import * as ReactDOM from "react-dom";
// enable ripple effect
enableRipple(true);

function App(){
    const mobileMode:boolean = true;

    return <TimePickerComponent id="timepicker" fullScreenMode={this.mobileMode} />
};
ReactDOM.render(<App />, document.getElementById('timer'));

TimePickerFullScreen

Syncfusion AI Assistant

How can I help you?

Style appearance in Angular Timepicker component

The following content provides the exact CSS structure that can be used to modify the control’s appearance based on the user preference.

Customizing the appearance of TimePicker wrapper element

Use the following CSS to customize the appearance of wrapper element.

/* To specify height and font size */
.e-input-group input.e-input, .e-input-group.e-control-wrapper input.e-input, .e-input-group textarea.e-input, .e-input-group.e-control-wrapper textarea.e-input {
        font-size: 20px;
        height: 40px;
}

Customizing the TimePicker icon element

Use the following CSS to customize the TimePicker icon element

/* To specify background color and font size */
.e-time-wrapper .e-time-icon.e-icons, *.e-control-wrapper.e-time-wrapper .e-time-icon.e-icons {
        font-size: 20px;
        background-color: beige;
}

Customizing the TimePicker popup

Use the following CSS to customize the TimePicker popup

/* To specify height */
.e-timepicker.e-popup {
        height: 100px;
}

Customizing the TimePicker popup content

Use the following CSS to customize the TimePicker popup content

/* To specify height */
.e-timepicker.e-popup .e-list-parent.e-ul li.e-list-item {
        background-color: beige;
        font-size: 20px;
}

Full screen mode support in mobiles and tablets

The TimePicker component’s full-screen mode feature enables users to view the component popup element in full-screen mode on mobile devices with improved visibility and a better user experience. It is important to mention that this feature is exclusively available for mobile and tablet devices in both landscape and portrait orientations. To activate the full screen mode within the TimePicker component, simply set the fullScreenMode API value to true. This action will extend the popup element to occupy the entire screen on mobile devices.

import { Component } from '@angular/core';

@Component({
  selector: 'app-root',
  template: `<!-- To Render timepicker  -->
             <ejs-timepicker  [fullScreenMode]="true"></ejs-timepicker >`
})
export class AppComponent  { }

TimePickerFullScreen

Syncfusion AI Assistant

How can I help you?

Style appearance in Vue Timepicker component

The following content provides the exact CSS structure that can be used to modify the control’s appearance based on the user preference.

Customizing the appearance of TimePicker wrapper element

Use the following CSS to customize the appearance of wrapper element.

/* To specify height and font size */
.e-input-group input.e-input, .e-input-group.e-control-wrapper input.e-input, .e-input-group textarea.e-input, .e-input-group.e-control-wrapper textarea.e-input {
        font-size: 20px;
        height: 40px;
}

Customizing the TimePicker icon element

Use the following CSS to customize the TimePicker icon element

/* To specify background color and font size */
.e-time-wrapper .e-time-icon.e-icons, *.e-control-wrapper.e-time-wrapper .e-time-icon.e-icons {
        font-size: 20px;
        background-color: beige;
}

Customizing the TimePicker popup

Use the following CSS to customize the TimePicker popup

/* To specify height */
.e-timepicker.e-popup {
        height: 100px;
}

Customizing the TimePicker popup content

Use the following CSS to customize the TimePicker popup content

/* To specify height */
.e-timepicker.e-popup .e-list-parent.e-ul li.e-list-item {
        background-color: beige;
        font-size: 20px;
}

Full screen mode support in mobiles and tablets

The DateTimePicker component’s full-screen mode feature enables users to view the component popup element in full-screen mode on mobile devices with improved visibility and a better user experience. It is important to mention that this feature is exclusively available for mobile and tablet devices in both landscape and portrait orientations. To activate the full screen mode within the TimePicker component, simply set the fullScreenMode API value to true. This action will extend the popup element to occupy the entire screen on mobile devices.

<template>
    <div id="app">
    <ejs-timepicker :fullScreenMode="mobileMode" ></ejs-timepicker>
  </div>
</template>
<script setup>

import { TimePickerComponent } from '@syncfusion/ej2-vue-calendars';


export default {
   data () {
    return {
      mobileMode : true
    }
  }
}
</script>

TimePickerFullScreen